use std::error::Error;

mod old_brain;
mod surreal_brain;

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    let old_brain_data = old_brain::BrainData::load_from_disk()?;
    // println!("{}", serde_yaml::to_string(&old_brain_data)?);

    let result = surreal_brain::migrate(&old_brain_data).await?;
    
    println!("{result:?}");

    Ok(())
}
